Subject: bug#44349: 28.0.50; Assertion failure on macOS when resizing frame

From: Eli Zaretskii <[email-masked]>
Date: Sun, 29 Nov 2020 19:23:53 +0200

> Date: Sun, 29 Nov 2020 17:16:23 +0000
> From: Alan Third <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > Ah, okay.  In that case, I think ignoring the invalid sequence is OK,
> > but let's document that in the function's commentary.
> 
> I think, having thought about it more, I'd prefer to just pass through
> the malformed input. If we want to make sure that putting format_end
> in the middle of a multibyte character doesn't break anything I think
> we'd be better fixing doprnt_non_null_end to cut the string up neatly.

Anything that avoids a crash is fine in this case, thanks.

> format_end isn't currently used anywhere in Emacs, so I don't know if
> it's worth fixing, but I'll add a FIXME comment.

TIA.